Bug 101005 - New port: security/isnprober: a tool to research the strength of TCP ISN
Summary: New port: security/isnprober: a tool to research the strength of TCP ISN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-28 22:30 UTC by onatan
Modified: 2006-07-30 19:16 UTC (History)
0 users

See Also:


Attachments
isnprober.shar (1.82 KB, text/plain)
2006-07-28 22:30 UTC, onatan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description onatan 2006-07-28 22:30:14 UTC
New port: a tool to research the strength of TCP ISN.

How-To-Repeat: Read "Silence On The Wire".
Comment 1 Rong-En Fan freebsd_committer 2006-07-28 23:53:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 2 Rong-En Fan freebsd_committer 2006-07-29 03:41:51 UTC
The distfile is not fetchable.

====================<phase 1: make checksum>====================
=> isnprober-1.02.tgz doesn't seem to exist in /tmp/distfiles/.
=> Attempting to fetch from file:///distcache//.
fetch: file:///distcache//isnprober-1.02.tgz: No such file or directory
=> Attempting to fetch from ftp://ftp.ubizon.com/tools/.
fetch: ftp://ftp.ubizon.com/tools/isnprober-1.02.tgz: No address record
=> Attempting to fetch from ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch: ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/isnprober-1.02.tgz:
File unavailable (e.g., file not found, no access)
=> Couldn't fetch it - please try to retrieve this
=> port manually into /tmp/distfiles/ and try again.
*** Error code 1

Stop in /a/ports/security/isnprober.
Comment 3 onatan 2006-07-29 12:40:10 UTC
>Submitter-Id:	current-users
>Originator:	Yonatan
>Organization:	Afarsec
>Confidential:	no 
>Synopsis:	Re: ports/101005: New port: ports/isnprober 
>Severity:	non-critical
>Priority:	low
>Category:	ports
>Class:		change-request
>Release:	FreeBSD 6.1-STABLE i386
>Environment:
System: FreeBSD laptop.afarsec.com 6.1-STABLE FreeBSD 6.1-STABLE #1: Fri Jun 23 12:39:24 IDT 2006 root@laptop.afarsec.com:/usr/obj/usr/src/sys/GENERIC i386
>Description:
This is an update of ports/101005.
The Makefile was revised:
Spell the main site correctly.
Add mirrors at packetstorm.
Include PLIST_FILES and remove pkg-plist, as suggested by rafan@ .
	
>How-To-Repeat:
N/A
>Fix:

	

--- isnprober2.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	distinfo
#	pkg-descr
#
echo x - Makefile
sed 's/^X//' >Makefile << 'END-of-Makefile'
X# Ports collection makefile for:  isnprober
X# Date created:			  28/7/2006
X# Whom:				  Yonatan <onatan@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	isnprober
XPORTVERSION=	1.02
XCATEGORIES=	security
XMASTER_SITES=	ftp://ftp.ubizen.com/tools/ \
X		${MASTER_SITE_PACKETSTORM}
XMASTER_SITE_SUBDIR=	UNIX/scanners
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	onatan@gmail.com
XCOMMENT=	PenTest tool for TCP Initial Sequence Numbers research
X
XRUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Net/RawIP.pm:${PORTSDIR}/net/p5-Net-RawIP
X
XPLIST_FILES=	bin/${PORTNAME}
XPORTDOCS=	README
X
XUSE_PERL5_RUN=	yes
XNO_BUILD=	yes
X
Xdo-install:
X	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/
X.ifndef NOPORTDOCS
X	@${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/${PORTDOCS} ${DOCSDIR}/
X.endif
X
X.include <bsd.port.mk>
END-of-Makefile
echo x - distinfo
sed 's/^X//' >distinfo << 'END-of-distinfo'
XMD5 (isnprober-1.02.tgz) = 25d3db5751d0b83116bd5f7fc64778b5
XSHA256 (isnprober-1.02.tgz) = 8d31129ad28b47eeac556a5e0bf64aca2c47c0c71b2c91e10ce374b15eabaf20
XSIZE (isnprober-1.02.tgz) = 10604
END-of-distinfo
echo x - pkg-descr
sed 's/^X//' >pkg-descr << 'END-of-pkg-descr'
X-- ISNprober / Tom Vandepoel (Tom.Vandepoel@ubizen.com) --
X
XISNprober is a tool that samples TCP Initial Sequence Numbers or IP ID's 
Xand can use that information to determine if a set of IP addresses belong 
Xto the same TCP/IP stack (machine) or not.
END-of-pkg-descr
exit
--- isnprober2.shar ends here ---
Comment 4 Rong-En Fan freebsd_committer 2006-07-30 19:16:00 UTC
State Changed
From-To: open->closed

New port added. Thanks!